# PATCH /notepads/folders/:folder_id

**Resource:** [Notepads](./notepads.md)  
**MCP tool:** `update_notepad_folder`  
**Scopes:** `notepads:write`  
**Write operation:** yes

Rename or update a notepad folder. Set is_public to mark it (true) or unmark it (false) as a public content collection integratable on websites.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `folder_id` | path | string | yes |  |
| `name` | body | string | no |  |
| `is_public` | body | boolean | no | Public content collection flag. |

## Request example

```bash
curl -X PATCH   "https://api.trustpager.com/functions/v1/api/v1/notepads/folders/:folder_id"   -H "Authorization: Bearer YOUR_API_KEY"   -H "Content-Type: application/json"   -d '{"name":"..."}'
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`